package com.pesets.game.skills;

import com.pesets.game.Enemy;
import com.pesets.game.Player;

public class SkillPoison extends Skill {

	@Override
	public void cast(Player player, Enemy target) {
		target.skillHit(player, (int) (target.getMaxHP() * 0.005f * getLevel()), 0, 0);
	}

	@Override
	public String getName() {
		return "Poison";
	}

	@Override
	public ActEvent getEvent() {
		return ActEvent.Timer;
	}

	@Override
	public int getIcon() {
		return 10;
	}

	@Override
	public float getMaxColdown() {
		return 0.5f;
	}
	
	@Override
	public String getDescription() {
		return "Target looses (1 * level)% of its maximum health each second";
	}

}
